From ccec25054b9f220eebcfa2703bb74502afcca792 Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Tue, 17 Jun 2014 16:27:04 +0100
Subject: [PATCH 07/17] Add collection of grub configuration for UEFI systems

UEFI systems store the grub configuration at:

  /boot/efi/EFI/*/grub.conf [grub 1.x]

Add these paths to the respective modules.

Signed-off-by: Bryn M. Reeves <bmr@redhat.com>

Conflicts:

	sos/plugins/bootloader.py
	sos/plugins/initrd.py
---
 sos/plugins/bootloader.py | 1 +
 sos/plugins/initrd.py     | 1 +
 2 files changed, 2 insertions(+)

diff --git a/sos/plugins/bootloader.py b/sos/plugins/bootloader.py
index 5eb811c..8d08471 100644
--- a/sos/plugins/bootloader.py
+++ b/sos/plugins/bootloader.py
@@ -21,6 +21,7 @@ class bootloader(sos.plugintools.PluginBase):
         self.addCopySpec("/etc/lilo.conf")
         self.addCopySpec("/etc/milo.conf")
         self.addCopySpec("/etc/silo.conf")
+        self.addCopySpec("/boot/efi/EFI/*/grub.conf")
         self.addCopySpec("/boot/efi/efi/redhat/elilo.conf")
         self.addCopySpec("/boot/grub/grub.conf")
         self.addCopySpec("/boot/grub/device.map")
diff --git a/sos/plugins/initrd.py b/sos/plugins/initrd.py
index 7bd7e1f..52a998e 100644
--- a/sos/plugins/initrd.py
+++ b/sos/plugins/initrd.py
@@ -26,3 +26,4 @@ class initrd(sos.plugintools.PluginBase):
 
     def defaultenabled(self):
         return False
+
-- 
1.9.3

